## DESCRIPTION

node-restapi is a restful service creator.

## INSTALLATION

    $ npm install node-restapi

## EXAMPLE

    var RestApi = require("node-restapi");

    var api = RestApi.createServer();
    api.listen(8080);

    var pingRoute = api.route("^/?$");

    pingRoute.on("GET", function(app, callback){
        app.setResponse(200, {mymessage : "pong"});
        callback(null);
    });

for other examples, please see files in examples folder.