var RestApi = require("../lib/RestApi");

// Creating api server.
var api = RestApi.createServer();
api.listen(8080);

// Setting routes.

var echoRoute = api.route("^/$");
var pingPongRoute = api.route("^/ping/?$");

echoRoute.on("GET", function(app, callback){
    app.setResponse(200, app.req.get);
    callback(null);
});

pingPongRoute.on("GET", function(app, callback){
    app.setResponse(200, "pong");
    callback(null);
});