var RestApi = require("../lib/RestApi");

// Creating api server.
var api = RestApi.createServer();
api.listen(8080);

// Setting index route.
var indexRoute = api.route("^/$");

// Setting preDispatch event for index route.
indexRoute.on("preDispatch", function(app, callback){
    console.log("indexRoute.on.preDispatch");
    callback(null);
});

// Setting postDispatch event for index route.
indexRoute.on("postDispatch", function(app, callback){
    console.log("indexRoute.on.postDispatch");
    callback(null);
});

// Setting GET event for index route.
indexRoute.on("GET", function(app, callback){
    console.log("indexRoute.on.GET");
    app.setResponse(200, {});
    callback(null);
});